Subject: Team Performance
From: Meghan Flanagan <[email-masked]>
To: Team Lead <[email-masked]>
Cc: Sankarshan Rajan <[email-masked]>, deeksha <[email-masked]>, Saurabh Dadu <[email-masked]>, Brian Sexton <[email-masked]>, Robert Cosgrove <[email-masked]>
Date: Thu, 8 Aug 2019 03:33:18 +0000

Hi All,

Just to remind you, Unfortunately we still do not have an up to date performance report for the team. We are working with tech to have this issue resolved. Once I receive an update I will ensure to inform you all.

Thank you for the Red Flag report , I will work on this over the next few days and have this sent to Quality.

Any questions please let me know.

Thanks,
Meghan 😊